```@meta
CurrentModule = LongMemory
```

# Classic Estimator for the Hurst Effect

Functions to estimate the rescaled range (R/S) statistic and the Hurst coefficient. The estimator is based on the original work by Hurst (1951) and is included for historical reasons. Moreover, the estimator by the variance plot is also provided. The estimators are only recommended for illustration purposes.

```@autodocs
Modules = [ClassicEstimators]
```

Hurst, H.E. (1951). *Long-term storage capacity of reservoirs.* Transactions of the American Society of Civil Engineers, 116, 770-799.

Documentation for [LongMemory.jl](https://github.com/everval/LongMemory.jl).
